OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
Case Struct Reference

Container for the different cases of a string. More...

`#include <strgen.h>`

## Public Member Functions
| Case (int caseidx, const char *string, Case *next)
| Create a new case.
| ~Case ()
| Free everything we allocated.

## Data Fields
int | caseidx
| The index of the case.
char * | string
| The translation of the case.
Case * | next
| The next, chained, case.

## Detailed Description

Container for the different cases of a string.

Definition at line 18 of file strgen.h.

## Constructor & Destructor Documentation

Case::Case | ( | int | caseidx,
|  | const char * | string,
|  | Case * | next
| ) |  |

Create a new case.

Parameters

  caseidx | The index of the case.
  string | The translation of the case.
  next | The next chained case.

Definition at line 42 of file strgen_base.cpp.

Case::~Case | ( |  | ) |

Free everything we allocated.

Definition at line 48 of file strgen_base.cpp.

References free(), and next.

The documentation for this struct was generated from the following files:

- src/strgen/strgen.h
- src/strgen/strgen_base.cpp